Subject: Re: FVWM: manual placement/moving window outlines with hjkl, etc

From: Denis Perelyubskiy <[email-masked]>
Date: Fri, 1 Nov 2002 21:32:45 -0800

Hello,

  * <[email-masked]> [31-Oct-02 00:07 -0800]:
  >
  >On Wed, Oct 30, 2002 at 04:51:13PM -0800, Denis Perelyubskiy wrote:
  [...]
  >> However, I'd like to change increments in which windows
  >> are moved when I press the keys. I did not see them as
  >> part of built-in keys in the man page, and dont seem to
  >> have them defined anywhere in my .fvwm2rc. 
  >
  >They are currently hard coded:
  >
  >  no modifiers:   5 pixel
  >  with control:   1 pixel
  >  with control: 100 pixels
  >
  >You can only change the values by editing libs/defaults.h:
  >
  >  #define DEFAULT_KDB_SHORTCUT_MOVE_DISTANCE 5 /* pixels */
  >  #define KDB_SHORTCUT_MOVE_DISTANCE_SMALL   1 /* pixels */
  >  #define KDB_SHORTCUT_MOVE_DISTANCE_BIG   100 /* pixels */
  [...]

Great, thanks. It is clearly stated in the man page in the
section you point to (keyboard shortcuts). 

Just for the benefit of the archive, the above statement

   >  with control: 100 pixels

should be changed to 
   
   with shift : 100 pixels
        ^^^^^

excellent feature, I must say ! :-)

thanks,

denis

-- 
// mailto: Denis Perelyubskiy <[email-masked]>
// icq   : 12359698
// PGP   : http://www.cs.ucla.edu/~denisp/files/pgp.asc
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].